GSSGT(3NCARG)

NAME
GSSGT (Set segment transformation) - Associates a segment transformation with a named segment.

SYNOPSIS
CALL GSSGT(SGNA,M)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void gset_seg_tran(Gint seg_name, const Gtran_matrix tran_matrix);

DESCRIPTION

SGNA
    (Integer, Input) - A segment name as used in a previous GCRSG call.

M   (Real, Input) - A 2x3 array giving the GKS segment transformation to be associated with the segment specified in SGNA.

USAGE
When the segment named in SGNA is displayed, the coordinates of its primitives are transformed by the matrix specified in M.

ACCESS
To use GKS routines, load the NCAR GKS-0A library ncarg_gks.

SEE ALSO
Online: gactm, gevtm, gclsg, gcrsg, gcsgwk, gdsg, gqopsg, gqsgus., gset_seg_tran

Hardcopy: "User's Guide for NCAR GKS-0A Graphics"

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.